Conflicting info on Installation - gnupg2 and Ubuntu Universe Repo


These two pieces of documentation seem to have conflicting Info. One requires the gnupg2 and Ubuntu Universe Repo, while the other doesn’t. They both work fine so which one is the correct one?